SNP_STORE(1)

NAME
snp_store - SnpStore

SYNOPSIS
snp_store [OPTIONS] <GENOME FILE> <ALIGNMENT FILE> [<ALIGNMENT FILE> ...]

DESCRIPTION
SNP and Indel Calling in Mapped Read Data.

REQUIRED ARGUMENTS

GENOME INPUT_FILE
    A reference genome file. Valid filetypes are: .fasta and .fa.

ALIGNMENTS List of INPUT_FILE's
    Read alignment file(s) sorted by genomic position. Valid filetypes are: .sam[.*], .gff, and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

OPTIONS

-h, --help
    Display the help message.

--version
    Display version information.

  Main Options:

-o, --output OUTPUT_FILE
    SNP output file (mandatory). Valid filetype is: .vcf.

-osc, --only-successful-candidates
    Output only successfully called SNP candidates. Default: Output all candidates.

-dc, --dont-clip
    Ignore clip tags in gff. Default: off.

-mu, --multi
    Keep non-unique fragmentStore.alignedReadStore. Default: off.

-hq, --hide-qualities
    Only show coverage (no qualities) in SNP output file. Default: off.

-sqo, --solexa-qual-offset
    Base qualities are encoded as char value - 64 (instead of char - 33).

-id, --indel-file OUTPUT_FILE
    Output file for called indels in gff format. Default: off. Valid filetype is: .gff.

-m, --method STRING
    Set method used for SNP calling either threshold based or Maq method. One of thresh and maq. Default: maq.

-mp, --max-pile INTEGER
    Maximal number of matches allowed to pile up at the same genome position. In range [1..inf]. Default: 1.

-mmp, --merged-max-pile
    Do pile up correction on merged lanes. Default: off.

-mc, --min-coverage INTEGER
    Minimal required number of reads covering a candidate position. In range [1..inf]. Default: 5.

-fc, --force-call INTEGER
    Always call base if count is >= fc, ignore other parameters. Default: off. In range [1..inf]. Default: 10.

-oa, --orientation-aware
    Distinguish between forward and reverse reads. Default: off.

-mpr, --max-polymer-run INTEGER
    Discard indels in homopolymer runs longer than mpr. In range [0..inf]. Default: 100.

-dp, --diff-pos INTEGER
    Minimal number of different read positions supporting the mutation. In range [0..inf]. Default: 0.

-eb, --exclude-border INTEGER
    Exclude read positions within eb base pairs of read borders for SNV calling. Default: off. In range [0..inf]. Default: 0.

-su, --suboptimal
    Keep suboptimal reads. Default: off

-re, --realign
    Realign reads around indel candidates. Default: off

-pws, --parse-window-size INTEGER
    Genomic window size for parsing reads (concerns memory consumption, choose smaller windows for higher coverage). In range [1..inf]. Default: 1000000.

  Threshold method related:

-mm, --min-mutations INTEGER
    Minimal number of observed mutations for mutation to be called. In range [1..inf]. Default: 3.

-pt, --perc-threshold DOUBLE
    Minimal percentage of mutational base for mutation to be called. In range [0..inf]. Default: 0.25.

-mq, --min-quality DOUBLE
    Minimal average quality of mutational base for mutation to be called. In range [0..inf]. Default: 10.

  Maq method related:

-th, --theta DOUBLE
    Dependency coefficient. In range [0..inf]. Default: 0.85.

-hr, --hetero-rate DOUBLE
    Heterozygote rate. In range [0..1]. Default: 0.001.

-mmq, --min-map-quality INTEGER
    Minimum base call (mapping) quality for a match to be considered. In range [0..inf]. Default: 1.

-ch, --corrected-het
    Use amplification bias corrected distribution for heterozygotes. Default: off.

-maf, --mean-alleleFreq DOUBLE
    Mean ref allele frequency in heterozygotes. In range [0..inf]. Default: 0.51.

-ac, --amp-cycles INTEGER
    Number of amplification cycles. In range [0..inf]. Default: 18.

-ae, --amp-efficiency DOUBLE
    Polymerase efficiency, probability of amplification. In range [0..1]. Default: 0.3.

-in, --initial-N INTEGER
    Initial allele population size. In range [0..inf]. Default: 10.

-mec, --min-explained-column DOUBLE
    Minimum fraction of alignment column reads explained by genotype call. In range [0..1]. Default: 0.8.

  Indel calling options:

-it, --indel-threshold INTEGER
    Minimal number of indel-supporting reads required for indel calling. In range [1..inf]. Default: 3.

-ipt, --indel-perc-threshold DOUBLE
    Minimal ratio of indel-supporting/covering reads for indel to be called. In range [0..1]. Default: 0.25.

-iqt, --indel-quality-thresh INTEGER
    Minimal average quality of inserted base/deletion-neighboring bases for indel to be called. In range [0..inf]. Default: 1.

-bsi, --both-strands-indel
    Both strands need to be observed for indel to be called. Default: off.

-ebi, --exclude-border-indel INTEGER
    Same as option -eb but for indel candidates. In range [0..inf]. Default: 0.

  Other options:

-lf, --log-file STRING
    Write log to FILE.

-v, --verbose
    Enable verbose output.

-vv, --very-verbose
    Enable very verbose output.

-q, --quiet
    Set verbosity to a minimum.

EXAMPLES

snp_store -mc 2 -it 2 exampleGenome.fa exampleReads.gff -o exampleSNPs.vcf -id exampleIndels.gff
    Call SNPs and indels of a low-coverage example (minimum coverage and indel threshold were reduced to 2).

snp_store -re -mc 2 -it 2 exampleGenome.fa exampleReads.gff -o exampleSNPs.vcf -id exampleIndels.gff
    Computes a realignment before variant calling. Now, the two 1bp insertions should have been merged into one 2bp insertion.